Package Details: nessus 8.10.1-1

Git Clone URL: https://aur.archlinux.org/nessus.git (read-only, click to copy)
Package Base: nessus
Description: Nessus vulnerability scanner
Upstream URL: https://www.tenable.com/downloads/nessus
Licenses: custom
Submitter: r4um
Maintainer: noraj
Last Packager: noraj
Votes: 63
Popularity: 0.169958
First Submitted: 2007-03-11 15:14
Last Updated: 2020-05-26 12:51

Latest Comments

« First ‹ Previous ... 2 3 4 5 6 7 8 9 10 11 12 ... Next › Last »

Anonymous comment on 2016-03-16 19:54

Can you please add the url to download the file in the pkgbuild ,
whats the point of this package build when you have to download it from the website and place it in the directory
people might as well go to the website and download the rpm file extract it and move the folder to /opt and the nessusd service file to /lib/systemd/system

this package build is incomplete please fix it

ssfdust commented on 2015-09-24 04:27

How do you guys update the plugins?

When I use the nessuscli tool to update plugins, it connects to a wrong domain.
It should be nessus.org as [url="http://static.tenable.com/documentation/nessus_v6_command_line_reference.pdf"]the official document[/url] shows.
sudo nessuscli update --plugins-only

----- Fetching the newest updates from s -----

[feed_update] Nessus Plugins Error: Could not connect to s
Nessus Plugins: Failed

* Failed to update Nessus Plugins

dopeadmin commented on 2015-05-22 05:05

able to run 6.3.6 . Would like to maintain the package

huiyiqun commented on 2015-04-25 04:51

6.3.5 has released.

jskier commented on 2015-04-13 12:07

@owerner, you need to download it and place in the build directory. It has to do with the licensing.

owerner commented on 2015-04-13 11:59

==> ERROR: Nessus-6.3.4-fc20.x86_64.rpm was not found in the build directory and is not a URL.
==> ERROR: Makepkg was unable to build nessus.

Eriner commented on 2015-04-06 14:57

The current PKGBUILD is not complete.

you need to extract and move the contents of the plugins-core.tar.gz archive in nessus-6.3.4-1-x86_64.pkg/opt/nessus/var/nessus/ and move the contents to /opt/nessus/var/nessus/tools/

Else nessus will produce this error:

# /opt/nessus/sbin/nessuscli mkcert
Error: Can not find /opt/nessus/var/nessus/tools/tool_dispatch.ntool. Please check that Nessus is installed properly.

borja commented on 2015-04-03 21:13

Updated PKGBUILD to 3.6.4:

# Maintainer: Jay MJ <jskier at gmail dot com>
# Contributer: Pranay Kanwar <pranay dot kanwar at gmail dot com>
# Update to 3.6.4: Borja <borja at libcrack dot so>

pkgname=nessus
pkgver=6.3.4
pkgrel=2
_bigver="Nessus-$pkgver-fc20"
pkgdesc='Vulnerability scanner'
arch=('x86_64')
depends=('openssl' 'gnupg')
license=('custom')
url='https://www.nessus.org'
install=nessus.install

# Download the rpm from <http://tenable.com/products/nessus/nessus-download-agreement>
# Nessus-6.3.4-fc20.x86_64.rpm
source=($_bigver.x86_64.rpm
nessus.sh
LICENSE.NESSUS
nessus.install)
md5sums=('4a0ee390c09cde5529c4d1fdf301042c'
'8c5772ac63f97d94475fe03e80d6ba5c'
'8ff98bc9488304fcb66753d3cfb5f30e'
'd9d25d4075acc50c0050c7a4f244c7cb')

package() {

install -Dm755 $pkgname.sh "$pkgdir/etc/profile.d/$pkgname.sh"

mkdir -p "$pkgdir/etc/ld.so.conf.d" "$pkgdir/usr/share" \
"$pkgdir/opt/nessus" "$pkgdir/usr/lib"

cp -a lib "$pkgdir/usr"

# path to libraries
echo /opt/nessus/lib > "$pkgdir/etc/ld.so.conf.d/nessus.conf"

# main files
cp -a opt/nessus/{bin,com,etc,lib,sbin,var} "$pkgdir/opt/nessus"

# license
install -Dm644 LICENSE.NESSUS "$pkgdir/usr/share/licenses/nessus/LICENSE.NESSUS"
}

jskier commented on 2015-03-03 18:06

Adopted. This may need fixing (I am having issues with scheduled scans), working with support. Once I figure out what is wrong, I'll update.

thestinger commented on 2015-02-05 03:50

@kyak: I updated the documentation on the wiki.

https://wiki.archlinux.org/index.php/OpenVAS